window.Gleam.initSearch([{"doc":"multiformats","title":"multiformats","content":"# multiformats\n\nBindings to the [js implementation](https://github.com/multiformats/js-multiformats) of multiformats.\n\n[![Package Version](https://img.shields.io/hexpm/v/multiformats)](https://hex.pm/packages/multiformats)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/multiformats/)\n\nCurrently only the sha256 hasher is supported.\n\n```sh\nnpm install --save multiformats@13\ngleam add multiformats@1\n```\n\n```gleam\nimport dag_json\nimport multiformats/cid\nimport multiformats/hashes/sha256\n\npub fn main() {\n  let data = // some json\n  let bytes = dag_json.encode(data)\n  let multihash = sha256.digest(bytes)\n  cid.create_v1(dag_json.code(), multihash)\n  |&gt; cid.to_string\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/multiformats&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n\n## Credit\n\nCreated for [EYG](https://eyg.run/), a new integration focused programming language.","url":"index.html"},{"doc":"multiformats/hashes/digest","title":"Digest","content":"pub type Digest\n\n\nSynonyms:\nmultiformats/hashes/digest.Digest\nmultiformats/hashes/digest Digest","url":"multiformats/hashes/digest.html#Digest"},{"doc":"multiformats/hashes/digest","title":"multiformats/hashes/digest","content":"","url":"multiformats/hashes/digest.html"},{"doc":"multiformats/cid","title":"Cid","content":"pub type Cid\n\n\nSynonyms:\nmultiformats/cid.Cid\nmultiformats/cid Cid","url":"multiformats/cid.html#Cid"},{"doc":"multiformats/cid","title":"create_v1","content":"pub fn create_v1(codec: Int, multihash: Digest) -&gt; Cid\n\nSynonyms:\nmultiformats/cid.create_v1\nmultiformats/cid create_v1","url":"multiformats/cid.html#create_v1"},{"doc":"multiformats/cid","title":"decode","content":"pub fn decode(cid: Dynamic) -&gt; Result(Cid, Nil)\n\nSynonyms:\nmultiformats/cid.decode\nmultiformats/cid decode","url":"multiformats/cid.html#decode"},{"doc":"multiformats/cid","title":"parse","content":"pub fn parse(cid: String) -&gt; Result(Cid, String)\n\nSynonyms:\nmultiformats/cid.parse\nmultiformats/cid parse","url":"multiformats/cid.html#parse"},{"doc":"multiformats/cid","title":"to_string","content":"pub fn to_string(cid: Cid) -&gt; String\n\nSynonyms:\nmultiformats/cid.to_string\nmultiformats/cid to_string","url":"multiformats/cid.html#to_string"},{"doc":"multiformats/cid","title":"multiformats/cid","content":"","url":"multiformats/cid.html"},{"doc":"multiformats/hashes/sha256","title":"digest","content":"pub fn digest(bytes: BitArray) -&gt; Digest\n\nSynonyms:\nmultiformats/hashes/sha256.digest\nmultiformats/hashes/sha256 digest","url":"multiformats/hashes/sha256.html#digest"},{"doc":"multiformats/hashes/sha256","title":"multiformats/hashes/sha256","content":"","url":"multiformats/hashes/sha256.html"}]);